Package com.ocient.jdbc

# Class JDBCDriver

java.lang.Object
com.ocient.jdbc.JDBCDriver

All Implemented Interfaces:
  `Driver`

    public class JDBCDriver
    extends Object
    implements Driver

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`JDBCDriver()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `acceptsURL​(String arg0)` |
`Connection` | `connect​(String arg0, Properties arg1)` |
`String` | `getDriverVersion()` |
`int` | `getMajorVersion()` |
`int` | `getMinorVersion()` |
`Logger` | `getParentLogger()` |
`DriverPropertyInfo[]` | `getPropertyInfo​(String arg0, Properties arg1)` |
`boolean` | `jdbcCompliant()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JDBCDriver

public JDBCDriver()

## Method Details

### acceptsURL

public boolean acceptsURL​(String arg0) throws SQLException

Specified by:
  `acceptsURL` in interface `Driver`
Throws:
  `SQLException`

### connect

public Connection connect​(String arg0, Properties arg1) throws SQLException

Specified by:
  `connect` in interface `Driver`
Throws:
  `SQLException`

### getDriverVersion

public String getDriverVersion()

### getMajorVersion

public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `Driver`

### getMinorVersion

public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `Driver`

### getParentLogger

public Logger getParentLogger()

Specified by:
  `getParentLogger` in interface `Driver`

### getPropertyInfo

public DriverPropertyInfo[] getPropertyInfo​(String arg0, Properties arg1) throws SQLException

Specified by:
  `getPropertyInfo` in interface `Driver`
Throws:
  `SQLException`

### jdbcCompliant

public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `Driver`